<div class="container programs">
    <div class="row">
        <h1>
            {{
            mainConfig.programs_label[localeId]
            ? mainConfig.programs_label[localeId]
            : 'PROGRAMMES'
            }}&nbsp;<span class="badge badge-pill badge-light">{{
                (programs$ | async)?.length
                }}</span>
            <button
                type="button"
                class="close"
                aria-label="Close"
                (click)="activeModal.dismiss('Cross click')"
            >
                <span aria-hidden="true">&times;</span>
            </button>
        </h1>
        <div
            class="container"
            id="main"
        >
            <div class="row justify-content-center">
                <div id="programs-cards">
                    <div class="container-fluid programs">
                        <div class="row justify-content-center align-items-center">
                            <div
                                class="col-xl-4 col-lg-3"
                                *ngFor="let p of programs$ | async"
                            >
                                <a
                                    [routerLink]="[
                                        'programs',
                                        p.id_program,
                                        p.module.name
                                    ]"
                                    (click)="
                                        activeModal.close('PROGRAM_SELECTED')
                                    "
                                >
                                    <div class="text-center">
                                        <div
                                            class="img-hover"
                                            [ngbTooltip]="p.short_desc"
                                            [ngStyle]="{
                                                'background-image': p.logo
                                                    ? 'url(' + p.logo + ')'
                                                    : p.image
                                                    ? 'url(' + p.image + ')'
                                                    : 'url(' +
                                                      'assets/prog1.jpg' +
                                                      ')',
                                                'background-size': 'cover'
                                            }"
                                        ></div>

                                        <h5 class="card-title">
                                            {{ p.title }}<br>
                                            <small class="text-muted">{{p.project.name}} </small>
                                        </h5>
                                        <p
                                            class="short_desc"
                                            [innerHTML]="p.html_short_desc"
                                        ></p>
                                        <div class="overlay-prog">
                                            <p class="overlay-text">
                                                {{
                                                mainConfig
                                                .platform_participate[
                                                localeId
                                                ]
                                                }}
                                            </p>
                                        </div>
                                    </div>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
